GetDelegatedResourceV2
POST
In Stake 2.0, query the detail of resource share delegated from fromAddress to toAddress
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Request Body
fromAddressstringrequired
Delegate account address, in Base58 format or HEX format.toAddressstringrequired
Resource recipient address. (Format: Base58 or Hex)visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)Responses
fromstring
Delegate account address.tostring
Resource recipient address.frozen_balance_for_bandwidthint64
Amount of TRX staked for Bandwidth delegated from the from address to the to address. (Unit: sun)frozen_balance_for_energyint64
Amount of TRX staked for Energy delegated from the from address to the to address. (Unit: sun)expire_time_for_bandwidthint64
Timestamp when the Bandwidth delegation lock expires. (Unit: millisecond)expire_time_for_energyint64
Timestamp when the energy delegation lock expires. (Unit: millisecond)codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "400"}
cURL
curl -X POST 'https://tron-mainnet.nodit.io/wallet/getdelegatedresourcev2' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{}'